## mimdec mimdec — MSN Messenger compatible Mimic video decoder element |

## Synopsis

                        GstMimDec;

## Description

The MIMIC codec is used by MSN Messenger's webcam support. It consumes the TCP header for the MIMIC codec.

Its fourcc is ML20.

## Details

### GstMimDec

    typedef struct {
      GstElement element;

      GstPad *sinkpad, *srcpad;

      /* Protected by stream lock */
      GstAdapter *adapter;
      MimCtx *dec;
      gint buffer_size;
      gboolean need_newsegment;
    } GstMimDec;

## See Also

mimenc